%global _empty_manifest_terminate_build 0
Name:           python-autopage
Version:        0.5.2
Release:        1
Summary:        A library to provide automatic paging for console output
License:        Apache-2.0
URL:            https://github.com/zaneb/autopage
Source0:        https://files.pythonhosted.org/packages/36/b1/e5a1c2ebeb64ccc9c2a4ae133f5955d9824482628ed4bf0331c73323f0de/autopage-%{version}.tar.gz
Source1:        setup.py
BuildArch:      noarch
%description
 autopage[Autopage]( is a Python library to automatically display terminal
output from a program in a pager (like less) whenever you need it, and never
when you don't. And it only takes one line of You know how some CLI programs
like git (and a handful of others, including man and systemctl) automatically
pipe their output to less? Except not if there's less than one screen's worth of
data. And if you redirect the output to a file or a pipe, it does the right
thing instead. Colours are preserved. Don't you wish all programs worked like
that? Now at least all of your Python programs can.

%package -n python3-autopage
Summary:        A library to provide automatic paging for console output
Provides:       python-autopage
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-autopage
 autopage[Autopage]( is a Python library to automatically display terminal
output from a program in a pager (like less) whenever you need it, and never
when you don't. And it only takes one line of You know how some CLI programs
like git (and a handful of others, including man and systemctl) automatically
pipe their output to less? Except not if there's less than one screen's worth of
data. And if you redirect the output to a file or a pipe, it does the right
thing instead. Colours are preserved. Don't you wish all programs worked like
that? Now at least all of your Python programs can.

%package help
Summary:        A library to provide automatic paging for console output
Provides:       python3-autopage-doc
%description help
 autopage[Autopage]( is a Python library to automatically display terminal
output from a program in a pager (like less) whenever you need it, and never
when you don't. And it only takes one line of You know how some CLI programs
like git (and a handful of others, including man and systemctl) automatically
pipe their output to less? Except not if there's less than one screen's worth of
data. And if you redirect the output to a file or a pipe, it does the right
thing instead. Colours are preserved. Don't you wish all programs worked like
that? Now at least all of your Python programs can.

%prep
%autosetup -n autopage-%{version} 
cp %{SOURCE1} ./

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-autopage -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Mar 22 2024 wangqiang <wangqiang1@kylinos.cn> - 0.5.2-1
- Update package to version 0.5.2

* Thu Dec 08 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 0.5.1-1
- Update package to version 0.5.1

* Tue Jul 12 2022 OpenStack_SIG <openstack@openeuler.org> - 0.5.0-1
- Init package python3-autopage of version 0.5.0

